package com.gyee.edge.loader.data;



import lombok.Data;


import java.io.Serializable;


@Data
public class TsPointData implements Serializable {

    private String tagName;
    private GeneralTsData tsData;

    /*public TsDataType findDataType() {
        if (tsData.getDoubleValue().isPresent()){
            return TsDataType.DOUBLE;
        }
         if (tsData.getBooleanValue().isPresent()){
            return TsDataType.BOOLEAN;
        }
        else if (tsData.getLongValue().isPresent()){
            return TsDataType.LONG;
        }

        else if (tsData.getStringValue().isPresent()){
            return TsDataType.STRING;
        }

        else if (tsData.getBlobValue().isPresent()){
            return TsDataType.BLOB;
        }


        return TsDataType.DOUBLE;
    }*/
    /**
     * 获取 double 类型值
     * @return
     */
//    public Optional<Double> getValue() {
//        if (tsData.getDoubleValue().isPresent()) {
//            return tsData.getDoubleValue().get();
//        } else if (tsData.getBooleanValue().isPresent()) {
//            return tsData.getBooleanValue().get() ? 1.0 : 0.0;
//        } else if (tsData.getLongValue().isPresent()) {
//            return tsData.getLongValue().get();
//        }
//        return 0.0;
//    }
}

